<template>
    <div class="crew-table">
        <table class="table table-borderless">
            <thead>
            <tr v-if="isPerson">
                <th>Job</th>
                <th>Title</th>
                <th>Type</th>
                <th>Released</th>
            </tr>
            <tr v-else-if="isTitle">
                <th>Person</th>
                <th>Job</th>
            </tr>
            </thead>
            <tbody v-if="isPerson">
            <tr v-for="(member, index) in crew" :key="index">
                <td>{{ member.job }}</td>
                <td>
                    <router-link :to="`/entertainment/${member.title_id}`">
                        {{ member.title }}
                    </router-link>
                </td>
                <td>{{ member.type }}</td>
                <td v-if="member.ended">{{ member.released }} - {{ member.ended }}</td>
                <td v-else>{{ member.released }}</td>
            </tr>
            </tbody>
            <tbody v-else-if="isTitle">
            <tr v-for="(member, index) in crew" :key="index">
                <td>
                    <router-link :to="`/people/${member.person_id}`">
                        {{ member.name }}
                    </router-link>
                </td>
                <td>{{ member.job }}</td>
            </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
    export default {
        name: "crew-table",
        props: {
            view: {
                type: String,
                required: true,
            },
            crew: {
                type: Array,
                required: true,
            },
        },
        computed: {
            isPerson() {
                return this.view === 'person'
            },
            isTitle() {
                return this.view === 'title'
            },
        }
    }
</script>

<style scoped>
    a {
        color: black;
        text-decoration: none;
    }

    a:hover {
        color: darkgrey;
    }

    a:active {
        color: dimgrey;
    }
</style>